[问题]装了beryl却用不了,郁闷,麻烦看看是怎么回事?

为当前最终发行版之前的所有版本提供支持
回复
afone
帖子: 22
注册时间: 2007-03-11 9:24
送出感谢: 0
接收感谢: 0

[问题]装了beryl却用不了,郁闷,麻烦看看是怎么回事?

#1

帖子 afone » 2007-03-17 11:49

我的是ati x300,首先装了驱动,重启后运行 $ fglrxinfo 显示:
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON X300/X550/X1050 Series
OpenGL version string: 2.0.6334 (8.34.8)

运行 $ glxinfo | grep render 显示:
direct rendering: Yes
GLX_ATI_pixel_format_float, GLX_ATI_render_texture
OpenGL renderer string: RADEON X300/X550/X1050 Series

运行glxgears -printfps 显示:
8199 frames in 5.4 seconds = 1526.332 FPS
5749 frames in 5.1 seconds = 1131.890 FPS
13229 frames in 5.0 seconds = 2645.759 FPS
14025 frames in 5.0 seconds = 2789.502 FPS
12459 frames in 5.3 seconds = 2343.587 FPS
12176 frames in 5.1 seconds = 2396.774 FPS


问题一:以上显示结果是不是表示显卡驱动安装成功?
问题二:现在屏幕刷新律最高只有60Hz,而没装驱动之前有85Hz,这是为什么?


然后我就按一下方法装beryl

1.添加源

deb http://download.tuxfamily.org/3v1deb edgy beryl-svn

deb-src http://download.tuxfamily.org/3v1deb edgy beryl-svn

上面的是SVN的源,可以得到beryl的最新更新。

导入key : wget http://download.tuxfamily.org/3v1deb/EDD1E155.gpg -O- | sudo apt-key add - (此key只适用于edgy)


2.安装xgl和beryl:

sudo apt-get install xserver-xgl

sudo apt-get install beryl emerald-themes

或者用新立德软件管理器搜索xserver-xgl beryl emerald-themes进行安装。


3.建立XGL启动脚本
代码:
sudo gedit /usr/bin/startxgl.sh
粘贴代码:
Xgl :1 -fullscreen -ac -accel xv:pbuffer -accel glx:pbuffer & DISPLAY=:1


###如果退出时没有“关机和重启”按钮,加入下面这段(去掉#)

#cookie="$(xauth -i nextract - :0 | cut -d ' ' -f 9)"

#xauth -i add :1 . "$cookie"


exec gnome-session

###如果不能窗口风格发生变化,不能更改将exec gnome-session屏蔽。改用下面这段。
#exec dbus-launch --exit-with-session gnome-session


使脚本可执行:
代码:
sudo chmod 755 /usr/bin/startxgl.sh


4. 给登录管理器添加一个XGL会话
代码:
sudo gedit /usr/share/xsessions/xgl.desktop
粘贴代码:
[Desktop Entry]
Encoding=UTF-8
Name=XGl
Exec=/usr/bin/startxgl.sh
Icon=
Type=Application

5.再次更新一下系统
代码:
sudo apt-get update
sudo apt-get dist-upgrade


至此,XGL安装完毕,重启系统,登陆时选择XGL会话;暂时不要将此会话设为默认,万一有问题还可以回到gnome,等XGL稳定了再设成默认。


6.启动beryl(有三种办法)

方法一:在终端输入 beryl-manager手动启动beryl。(要是每次都这样的话,麻烦)

方法二:主菜单-系统-首选项-会话-启动程序添加 beryl-manager。(这种方法在不启动xgl的时候beryl也会启动。)

方法三:使用脚本,当xgl已经启动的时候beryl启动,否则不启动。

sudo gedit /usr/local/bin/start_beryl.sh

内容:

#!/bin/bash

#

# Start beryl-manager within gnome-session

#

if [ `ps -A -o comm | grep -c '^Xgl$'` == "1" ]; then

DISPLAY=:1 beryl-manager

DISPLAY=:1 beryl-xgl

else echo "${0}: Error: beryl-manager not launched. Xgl not running?"

fi

赋予权限 sudo chmod a+x /usr/local/bin/start_beryl.sh

同样在”主菜单-系统-首选项-会话-启动程序”添加/usr/local/bin/start_beryl.sh

重启系统,去感受漂亮的3D效果吧。

第三种方法我没有测试,不知道好用不好用,直接转贴了。我用第二种方法,将XGL设置为默认启动方式。



重启后,进入gnome,右上角时间旁边有个红色钻石图标
问题三:出现红色钻石图标是不是表示beryl安装成功?
点击钻石图标,在出现的菜单点“选择窗口管理器”,有三选项:beryl,metacity,enlightenment.选择beryl,然后桌面闪了一下,还是原来那样子,再点击“选择窗口管理器”,发现选不上beryl
问题四:为什么选beryl不起作用,是不是没装好显卡驱动?


谢谢各位!
afone
帖子: 22
注册时间: 2007-03-11 9:24
送出感谢: 0
接收感谢: 0

#2

帖子 afone » 2007-03-17 11:50

在终端运行beryl-manager 结果显示:

XGL Absent, checking for NVIDIA
Nvidia Absent, assuming AIGLX
beryl: SmcOpenConnection failed: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
beryl: No composite extension

我的是ati x300,怎么会checking for NVIDIA?

上面这段话是怎么回事?
头像
woainba15
帖子: 833
注册时间: 2006-11-11 17:14
来自: 浙江宁波
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 woainba15 » 2007-03-17 11:51

ati的还是不要装了吧!!
时间过得快啊!
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#4

帖子 zhuqin_83 » 2007-03-17 12:02

ls什么意思?
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
afone
帖子: 22
注册时间: 2007-03-11 9:24
送出感谢: 0
接收感谢: 0

#5

帖子 afone » 2007-03-17 12:05

zhuqin_83 写了:ls什么意思?
虽然是菜鸟,我坚信可以在ati上装beryl,在此之前为了装beryl,已经崩溃三次了,这次好不容易到了这一步,决不能放弃
zealotgy
帖子: 45
注册时间: 2006-10-10 12:27
送出感谢: 0
接收感谢: 0

#6

帖子 zealotgy » 2007-03-17 18:25

XGL没装好口牙。
zealotgy
帖子: 45
注册时间: 2006-10-10 12:27
送出感谢: 0
接收感谢: 0

#7

帖子 zealotgy » 2007-03-17 18:25

XGL没装好口牙。
头像
dogfox
论坛版主
帖子: 5309
注册时间: 2006-09-02 14:18
来自: 汉桑城
送出感谢: 1 次
接收感谢: 1 次
联系:

#8

帖子 dogfox » 2007-03-17 20:29

woainba15 写了:ati的还是不要装了吧!!
可笑
俺的显卡就是ati的
可俺为何还是成功了呢?
没用过ati就不要乱说话
全世界linux爱好者联合起来 !
一切闭源操作系统都是纸老虎 !
要斗私批修,拒绝黑屏,使用linux !
让一部分人先用起Archlinux来 !
linux是第一生产力 !
讲正气,讲开源,讲free
要坚定不移的走开源的道路 !
linux明天会更好 !

dpkg -l |grep ^rc|awk '{print $2}' |tr ["\n"] [" "]|sudo xargs dpkg -P -
ubuntu粉丝群 26660836 已满员
fivex
帖子: 16
注册时间: 2007-03-15 18:51
送出感谢: 0
接收感谢: 0

#9

帖子 fivex » 2007-03-17 20:52

afone 写了:在终端运行beryl-manager 结果显示:

XGL Absent, checking for NVIDIA
Nvidia Absent, assuming AIGLX
beryl: SmcOpenConnection failed: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
beryl: No composite extension

我的是ati x300,怎么会checking for NVIDIA?

上面这段话是怎么回事?



楼主和我的一样,,,现已经无从下手鸟,,,
头像
86Ubuntu
帖子: 369
注册时间: 2006-12-21 17:54
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 86Ubuntu » 2007-03-17 23:59

我的显卡是和楼主的一个牌子 ubuntu6.10

HP机器的茶叶OEM卡x300 我装上了 没问题

楼主可以参考看看这里 Beryl wiki上转的一个页面

http://lhansen.blogspot.com/2006/10/3d- ... -edgy.html
回复

回到 “老旧版本支持”